%define version   1.0.4
%define cvsdate   20040417.103251

%define release    1.cvs
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version}%{?pretag:%{pretag}}}

Summary:       The Advanced Linux Sound Architecture (ALSA) OSS compatibility library %{?cvsdate:(CVS: %{cvsdate})}
Name:          alsa-oss
Version:       %version
Release:       %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:     GPL
Group:         System/Libraries
Source:        ftp://ftp.alsa-project.org/pub/utils/alsa-oss-%{tarversion}.tar.bz2
Patch0:        alsa-oss-cvscompile.patch
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      alsa-lib >= %{version}
Packager:      Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution:  Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel >= %{version}
%if "%{cvsdate}" != "%{nil}"
BuildRequires: autoconf automake libtool
%endif

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

aoss is a simple wrapper script which facilitates the use of the
ALSA OSS compatibility library. It just sets the appropriate LD_PRELOAD
path and then runs the command.

%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif

%prep
%setup -q -n alsa-oss-%{version}%{?pretag:%{pretag}}
%if "%{cvsdate}" != "%{nil}"
%patch0 -p1
%endif

%build
if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} 
mkdir -p $RPM_BUILD_ROOT%{_sbindir} 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_includedir}/*

%changelog
* Sat Apr 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.4-1.cvs
- cvs: 04/17/2004
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1.cvs
- cvs: 02/29/2004
* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1.cvs
- cvs: 02/24/2004
* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
- initial build
